# 基于心跳数据对情绪打分

## 包含的文件

### 代码

包含两份代码CNN_classifier.py以及3.ipynb。第一个是对原始数据进行处理，得到中间结果，第二个是把中间结果转化为最终的分数。

### 数据

原始数据

Data_Class_A_Subject_B.mat 其中A和B是数字，A∈[1,3],B∈[1,22]。一共有66个。

中间数据

s_C_e_D.mat C和D是数字，D∈[1,3],C∈[1,22]，一共66个。

结果数据

result.mat 里面记录了每一个心跳数据对应的情绪评分。

## 用法

把原始数据和两个代码文件放在同一个目录里面，然后先运行Step5_CNN_classifier_last.py，再运行3.ipynb。就可以得到result.mat了。

## 结果的含义

result.mat是一个字典，里面有X和Y两个key。X是心跳数据，Y是这个心跳数据对应的六个评分，分别是valence、arousal、dominance 的积极程度和消极程度。